Package org.eclipse.cdt.core.model

# Interface ITranslationUnitHolder

public interface ITranslationUnitHolder
Represents a workbench object that is able to provide instances of ITranslationUnit. For example, the CEditor (in the CDT UI plugin) implements this interface in order to provide the IWorkingCopy of the editor's active translation unit.

Since:
  5.7

## Method Summary

Modifier and Type
Method
Description
`ITranslationUnit`
`getTranslationUnit()`
Returns the translation unit that is provided by the receiver or null if there is no such translation unit.

## Method Details

### getTranslationUnit

ITranslationUnit getTranslationUnit()
Returns the translation unit that is provided by the receiver or null if there is no such translation unit.